@import url('https://fonts.googleapis.com/css2?family=Roboto:wght@100;300;400;500;700;900&display=swap');

html {
    --blue: rgb(56, 56, 255);
    --yellow: rgb(250, 250, 94);
    font-size: 20px;
}

body {
    margin: 0;
    font-size: 1rem;
    font-family: 'Roboto', sans-serif;
}

a {
    text-decoration: none;
    color: inherit;
}

.icon {
    font-size: 30px;
}

.add {
    font-size: 20px;
    border: 1px solid green;
    color: white;
    background-color: green;
    padding: 1rem;
    border-radius: 12px;
    margin: 1rem;
    overflow: hidden;
    cursor: pointer;
}

.add:hover {
    background-color: rgb(2, 88, 2);
    transition: all .2s;
}

.add:hover span {
    display: inline-block;
    animation: addBtnFile .2s 1 linear forwards;
}

header {
    position: sticky;
    top: 0;
    z-index: 2;
}

header,
.navigation {
    background-color: var(--blue);
}

header>nav {
    display: flex;
    justify-content: space-evenly;
}

header>nav>div {
    padding: 1rem;
    text-align: center;
    font-size: .8rem;
    color: white;
    font-weight: bold;
}

main {
    display: flex;
}

.navigation {
    width: 300px;
    top: calc(2.8rem);
    height: calc(100vh - 2.8rem);
    list-style: none;
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    display: flex;
    flex-direction: column;

}

.navigation li a {
    text-decoration: none;
    display: block;
    padding: 1rem;
    color: white;
    line-height: 2rem;
    cursor: pointer;
}

.navigation li a:hover,
nav div:hover {
    background-color: var(--yellow);
    color: var(--blue);
    transition: all .8s;
}

main section {
    width: 100%;
}

table {
    border-collapse: collapse;
    width: 100%;
    height: 100%;
}

table,
td,
th {
    border: 1px solid black;
    text-align: center;
}

thead {
    max-height: 30px;
}

.container-modal {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    z-index: 3;
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background: repeating-linear-gradient(25deg, rgba(192, 192, 192, .2) 10px, rgba(77, 77, 77, .2) 30px);
}

.modal-window {
    position: relative;
    width: 80%;
    min-height: 50vh;
    background: white;
    border: 1px solid var(--blue);
}

.hide {
    display: none !important;
}

.error {
    border: 5px solid red;
}

button:disabled {
    filter: opacity(.7);
}

.alert-ok,
.alert-error {
    width: 50%;
    position: absolute;
    top: 50%;
    left: calc(50% - 25%);
    z-index: 10;
}

.modal-body {
    font-size: 1.2rem;
}

#modal-close {
    position: absolute;
    top: 10px;
    right: 10px;
    cursor: pointer;
    z-index: 2;
}

.icon {
    display: inline-block;
    padding: .5rem;
    border-radius: 8px;
    background-color: rgba(85, 85, 85, 0.485);
    cursor: pointer;
    transition: background-color .5s;
}

.icon:hover {
    background-color: rgba(85, 85, 85, 1);
}

/*modal product*/
.product-body {
    display: flex;
    flex-direction: column;
    gap: 1rem;
    padding: 1rem;
}

.input {
    position: relative;
}

.input label {
    position: relative;
    transform: translate(20px, 37px);
    color: rgb(154, 154, 154);
    transition: transform .2s ease-out;
    z-index: 1;

}

.input label.none-placeholder {
    transform: translate(0, 0);
    color: black;
}

.input input {
    position: relative;
    width: 100%;
    border-radius: 8px;
    border: 1px solid gray;
    z-index: 2;
    background-color: transparent;
}

@keyframes addBtnFile {
    from {
        transform: translateY(-10vh);
    }

    to {
        transform: translateY(0);
    }
}



.product-body,
.product-body label {
    display: flex;
    flex-direction: column;
    height: 100%;
}

.product-body {
    justify-content: space-between;
    height: 35vh;

}

.product-body label {
    width: 25%;
    margin-left: 2.5%;
}


.save {
    width: 20%;
    margin-left: 2.5%;
}

.error {
    border: 3px solid red;
}

.empty-table {
    background-color: rgba(0, 0, 0, 0.363);
    width: 100%;
    height: 100%    ;
    display: flex;
    justify-content: center;
    align-items: center;
    color: #fff;
    font-size: 3.5rem;
}

.btnEdit, .btnRemove {
    width: 55%;
    height: 2.5rem;
    font-size: 1.05rem;
}


.modal-menu__edit {
    display: flex;
    justify-content: center;
    align-items: center;
    position: fixed;
    top: 0;
    bottom: 0;
    right: 0;
    left: 0;
    background-color: rgba(0, 0, 0, 0.322);
}

.edit-box {
    width: 70%;
    height: 50%;
    background-color: #fff;
}

.close__modal-menu {
    position: absolute;
    right: 15%;
    margin: 1%;
    font-size: 1.5rem;
    cursor: pointer;
}

.info {
    display: flex;
    width: 80%;
    justify-content: space-between;
    margin: 0 auto;
    margin-top: .5%;
}

.info input {
    height: 1.7rem;
    width: 20%;
    margin-top: 1.5%;
    font-size: 1.1rem;
}

.info p {
    margin: 0;
}

.save-change button {
    width: 10%;
    height: 2rem;
    font-size: 1.1rem;
}

.save-change{
    display: flex;
    justify-content: center;
    width: 100%;
}

.info__edit-box {
    height: 100%;
    display: flex;
    flex-direction: column;
    justify-content: space-evenly;
}